[arch-commits] Commit in openssh/repos (16 files)
Gaëtan Bisson
bisson at archlinux.org
Sat Oct 1 21:49:04 UTC 2016
Date: Saturday, October 1, 2016 @ 21:49:03
Author: bisson
Revision: 277530
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
openssh/repos/testing-i686/
openssh/repos/testing-i686/PKGBUILD
(from rev 277529, openssh/trunk/PKGBUILD)
openssh/repos/testing-i686/sshd.conf
(from rev 277529, openssh/trunk/sshd.conf)
openssh/repos/testing-i686/sshd.pam
(from rev 277529, openssh/trunk/sshd.pam)
openssh/repos/testing-i686/sshd.service
(from rev 277529, openssh/trunk/sshd.service)
openssh/repos/testing-i686/sshd.socket
(from rev 277529, openssh/trunk/sshd.socket)
openssh/repos/testing-i686/sshd at .service
(from rev 277529, openssh/trunk/sshd at .service)
openssh/repos/testing-i686/sshdgenkeys.service
(from rev 277529, openssh/trunk/sshdgenkeys.service)
openssh/repos/testing-x86_64/
openssh/repos/testing-x86_64/PKGBUILD
(from rev 277529, openssh/trunk/PKGBUILD)
openssh/repos/testing-x86_64/sshd.conf
(from rev 277529, openssh/trunk/sshd.conf)
openssh/repos/testing-x86_64/sshd.pam
(from rev 277529, openssh/trunk/sshd.pam)
openssh/repos/testing-x86_64/sshd.service
(from rev 277529, openssh/trunk/sshd.service)
openssh/repos/testing-x86_64/sshd.socket
(from rev 277529, openssh/trunk/sshd.socket)
openssh/repos/testing-x86_64/sshd at .service
(from rev 277529, openssh/trunk/sshd at .service)
openssh/repos/testing-x86_64/sshdgenkeys.service
(from rev 277529, openssh/trunk/sshdgenkeys.service)
------------------------------------+
testing-i686/PKGBUILD | 89 +++++++++++++++++++++++++++++++++++
testing-i686/sshd.conf | 1
testing-i686/sshd.pam | 6 ++
testing-i686/sshd.service | 17 ++++++
testing-i686/sshd.socket | 10 +++
testing-i686/sshd at .service | 8 +++
testing-i686/sshdgenkeys.service | 15 +++++
testing-x86_64/PKGBUILD | 89 +++++++++++++++++++++++++++++++++++
testing-x86_64/sshd.conf | 1
testing-x86_64/sshd.pam | 6 ++
testing-x86_64/sshd.service | 17 ++++++
testing-x86_64/sshd.socket | 10 +++
testing-x86_64/sshd at .service | 8 +++
testing-x86_64/sshdgenkeys.service | 15 +++++
14 files changed, 292 insertions(+)
Copied: openssh/repos/testing-i686/PKGBUILD (from rev 277529, openssh/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=openssh
+pkgver=7.3p1
+pkgrel=2
+pkgdesc='Free version of the SSH connectivity tools'
+url='http://www.openssh.org/portable.html'
+license=('custom:BSD')
+arch=('i686' 'x86_64')
+makedepends=('linux-headers')
+depends=('krb5' 'openssl' 'libedit' 'ldns')
+optdepends=('xorg-xauth: X11 forwarding'
+ 'x11-ssh-askpass: input passphrase in X')
+validpgpkeys=('59C2118ED206D927E667EBE3D3E5F56B6D920D30')
+source=("http://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/${pkgname}-${pkgver}.tar.gz"{,.asc}
+ 'sshdgenkeys.service'
+ 'sshd at .service'
+ 'sshd.service'
+ 'sshd.socket'
+ 'sshd.conf'
+ 'sshd.pam')
+sha1sums=('bfade84283fcba885e2084343ab19a08c7d123a5' 'SKIP'
+ 'caaa801da59a5d14c0c29c43e9de5fef281ea03e'
+ '6a0ff3305692cf83aca96e10f3bb51e1c26fccda'
+ 'ec49c6beba923e201505f5669cea48cad29014db'
+ 'e12fa910b26a5634e5a6ac39ce1399a132cf6796'
+ 'c9b2e4ce259cd62ddb00364d3ee6f00a8bf2d05f'
+ 'd93dca5ebda4610ff7647187f8928a3de28703f3')
+
+backup=('etc/ssh/ssh_config' 'etc/ssh/sshd_config' 'etc/pam.d/sshd')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/ssh \
+ --sysconfdir=/etc/ssh \
+ --with-ldns \
+ --with-libedit \
+ --with-ssl-engine \
+ --with-pam \
+ --with-privsep-user=nobody \
+ --with-kerberos5=/usr \
+ --with-xauth=/usr/bin/xauth \
+ --with-md5-passwords \
+ --with-pid-dir=/run \
+
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make tests || true
+ # hard to suitably test connectivity:
+ # - fails with /bin/false as login shell
+ # - fails with firewall activated, etc.
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make DESTDIR="${pkgdir}" install
+
+ ln -sf ssh.1.gz "${pkgdir}"/usr/share/man/man1/slogin.1.gz
+ install -Dm644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENCE"
+
+ install -Dm644 ../sshdgenkeys.service "${pkgdir}"/usr/lib/systemd/system/sshdgenkeys.service
+ install -Dm644 ../sshd at .service "${pkgdir}"/usr/lib/systemd/system/sshd at .service
+ install -Dm644 ../sshd.service "${pkgdir}"/usr/lib/systemd/system/sshd.service
+ install -Dm644 ../sshd.socket "${pkgdir}"/usr/lib/systemd/system/sshd.socket
+ install -Dm644 ../sshd.conf "${pkgdir}"/usr/lib/tmpfiles.d/sshd.conf
+ install -Dm644 ../sshd.pam "${pkgdir}"/etc/pam.d/sshd
+
+ install -Dm755 contrib/findssl.sh "${pkgdir}"/usr/bin/findssl.sh
+ install -Dm755 contrib/ssh-copy-id "${pkgdir}"/usr/bin/ssh-copy-id
+ install -Dm644 contrib/ssh-copy-id.1 "${pkgdir}"/usr/share/man/man1/ssh-copy-id.1
+
+ sed \
+ -e '/^#ChallengeResponseAuthentication yes$/c ChallengeResponseAuthentication no' \
+ -e '/^#PrintMotd yes$/c PrintMotd no # pam does that' \
+ -e '/^#UsePAM no$/c UsePAM yes' \
+ -i "${pkgdir}"/etc/ssh/sshd_config
+}
Copied: openssh/repos/testing-i686/sshd.conf (from rev 277529, openssh/trunk/sshd.conf)
===================================================================
--- testing-i686/sshd.conf (rev 0)
+++ testing-i686/sshd.conf 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1 @@
+d /var/empty 0755 root root
Copied: openssh/repos/testing-i686/sshd.pam (from rev 277529, openssh/trunk/sshd.pam)
===================================================================
--- testing-i686/sshd.pam (rev 0)
+++ testing-i686/sshd.pam 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,6 @@
+#%PAM-1.0
+#auth required pam_securetty.so #disable remote root
+auth include system-remote-login
+account include system-remote-login
+password include system-remote-login
+session include system-remote-login
Copied: openssh/repos/testing-i686/sshd.service (from rev 277529, openssh/trunk/sshd.service)
===================================================================
--- testing-i686/sshd.service (rev 0)
+++ testing-i686/sshd.service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,17 @@
+[Unit]
+Description=OpenSSH Daemon
+Wants=sshdgenkeys.service
+After=sshdgenkeys.service
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/sshd -D
+ExecReload=/bin/kill -HUP $MAINPID
+KillMode=process
+Restart=always
+
+[Install]
+WantedBy=multi-user.target
+
+# This service file runs an SSH daemon that forks for each incoming connection.
+# If you prefer to spawn on-demand daemons, use sshd.socket and sshd at .service.
Copied: openssh/repos/testing-i686/sshd.socket (from rev 277529, openssh/trunk/sshd.socket)
===================================================================
--- testing-i686/sshd.socket (rev 0)
+++ testing-i686/sshd.socket 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,10 @@
+[Unit]
+Conflicts=sshd.service
+Wants=sshdgenkeys.service
+
+[Socket]
+ListenStream=22
+Accept=yes
+
+[Install]
+WantedBy=sockets.target
Copied: openssh/repos/testing-i686/sshd at .service (from rev 277529, openssh/trunk/sshd at .service)
===================================================================
--- testing-i686/sshd at .service (rev 0)
+++ testing-i686/sshd at .service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,8 @@
+[Unit]
+Description=OpenSSH Per-Connection Daemon
+After=sshdgenkeys.service
+
+[Service]
+ExecStart=-/usr/bin/sshd -i
+StandardInput=socket
+StandardError=syslog
Copied: openssh/repos/testing-i686/sshdgenkeys.service (from rev 277529, openssh/trunk/sshdgenkeys.service)
===================================================================
--- testing-i686/sshdgenkeys.service (rev 0)
+++ testing-i686/sshdgenkeys.service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,15 @@
+[Unit]
+Description=SSH Key Generation
+ConditionPathExists=|!/etc/ssh/ssh_host_dsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_dsa_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_ecdsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_ecdsa_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_ed25519_key
+ConditionPathExists=|!/etc/ssh/ssh_host_ed25519_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_rsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_rsa_key.pub
+
+[Service]
+ExecStart=/usr/bin/ssh-keygen -A
+Type=oneshot
+RemainAfterExit=yes
Copied: openssh/repos/testing-x86_64/PKGBUILD (from rev 277529, openssh/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=openssh
+pkgver=7.3p1
+pkgrel=2
+pkgdesc='Free version of the SSH connectivity tools'
+url='http://www.openssh.org/portable.html'
+license=('custom:BSD')
+arch=('i686' 'x86_64')
+makedepends=('linux-headers')
+depends=('krb5' 'openssl' 'libedit' 'ldns')
+optdepends=('xorg-xauth: X11 forwarding'
+ 'x11-ssh-askpass: input passphrase in X')
+validpgpkeys=('59C2118ED206D927E667EBE3D3E5F56B6D920D30')
+source=("http://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/${pkgname}-${pkgver}.tar.gz"{,.asc}
+ 'sshdgenkeys.service'
+ 'sshd at .service'
+ 'sshd.service'
+ 'sshd.socket'
+ 'sshd.conf'
+ 'sshd.pam')
+sha1sums=('bfade84283fcba885e2084343ab19a08c7d123a5' 'SKIP'
+ 'caaa801da59a5d14c0c29c43e9de5fef281ea03e'
+ '6a0ff3305692cf83aca96e10f3bb51e1c26fccda'
+ 'ec49c6beba923e201505f5669cea48cad29014db'
+ 'e12fa910b26a5634e5a6ac39ce1399a132cf6796'
+ 'c9b2e4ce259cd62ddb00364d3ee6f00a8bf2d05f'
+ 'd93dca5ebda4610ff7647187f8928a3de28703f3')
+
+backup=('etc/ssh/ssh_config' 'etc/ssh/sshd_config' 'etc/pam.d/sshd')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/ssh \
+ --sysconfdir=/etc/ssh \
+ --with-ldns \
+ --with-libedit \
+ --with-ssl-engine \
+ --with-pam \
+ --with-privsep-user=nobody \
+ --with-kerberos5=/usr \
+ --with-xauth=/usr/bin/xauth \
+ --with-md5-passwords \
+ --with-pid-dir=/run \
+
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make tests || true
+ # hard to suitably test connectivity:
+ # - fails with /bin/false as login shell
+ # - fails with firewall activated, etc.
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make DESTDIR="${pkgdir}" install
+
+ ln -sf ssh.1.gz "${pkgdir}"/usr/share/man/man1/slogin.1.gz
+ install -Dm644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENCE"
+
+ install -Dm644 ../sshdgenkeys.service "${pkgdir}"/usr/lib/systemd/system/sshdgenkeys.service
+ install -Dm644 ../sshd at .service "${pkgdir}"/usr/lib/systemd/system/sshd at .service
+ install -Dm644 ../sshd.service "${pkgdir}"/usr/lib/systemd/system/sshd.service
+ install -Dm644 ../sshd.socket "${pkgdir}"/usr/lib/systemd/system/sshd.socket
+ install -Dm644 ../sshd.conf "${pkgdir}"/usr/lib/tmpfiles.d/sshd.conf
+ install -Dm644 ../sshd.pam "${pkgdir}"/etc/pam.d/sshd
+
+ install -Dm755 contrib/findssl.sh "${pkgdir}"/usr/bin/findssl.sh
+ install -Dm755 contrib/ssh-copy-id "${pkgdir}"/usr/bin/ssh-copy-id
+ install -Dm644 contrib/ssh-copy-id.1 "${pkgdir}"/usr/share/man/man1/ssh-copy-id.1
+
+ sed \
+ -e '/^#ChallengeResponseAuthentication yes$/c ChallengeResponseAuthentication no' \
+ -e '/^#PrintMotd yes$/c PrintMotd no # pam does that' \
+ -e '/^#UsePAM no$/c UsePAM yes' \
+ -i "${pkgdir}"/etc/ssh/sshd_config
+}
Copied: openssh/repos/testing-x86_64/sshd.conf (from rev 277529, openssh/trunk/sshd.conf)
===================================================================
--- testing-x86_64/sshd.conf (rev 0)
+++ testing-x86_64/sshd.conf 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1 @@
+d /var/empty 0755 root root
Copied: openssh/repos/testing-x86_64/sshd.pam (from rev 277529, openssh/trunk/sshd.pam)
===================================================================
--- testing-x86_64/sshd.pam (rev 0)
+++ testing-x86_64/sshd.pam 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,6 @@
+#%PAM-1.0
+#auth required pam_securetty.so #disable remote root
+auth include system-remote-login
+account include system-remote-login
+password include system-remote-login
+session include system-remote-login
Copied: openssh/repos/testing-x86_64/sshd.service (from rev 277529, openssh/trunk/sshd.service)
===================================================================
--- testing-x86_64/sshd.service (rev 0)
+++ testing-x86_64/sshd.service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,17 @@
+[Unit]
+Description=OpenSSH Daemon
+Wants=sshdgenkeys.service
+After=sshdgenkeys.service
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/sshd -D
+ExecReload=/bin/kill -HUP $MAINPID
+KillMode=process
+Restart=always
+
+[Install]
+WantedBy=multi-user.target
+
+# This service file runs an SSH daemon that forks for each incoming connection.
+# If you prefer to spawn on-demand daemons, use sshd.socket and sshd at .service.
Copied: openssh/repos/testing-x86_64/sshd.socket (from rev 277529, openssh/trunk/sshd.socket)
===================================================================
--- testing-x86_64/sshd.socket (rev 0)
+++ testing-x86_64/sshd.socket 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,10 @@
+[Unit]
+Conflicts=sshd.service
+Wants=sshdgenkeys.service
+
+[Socket]
+ListenStream=22
+Accept=yes
+
+[Install]
+WantedBy=sockets.target
Copied: openssh/repos/testing-x86_64/sshd at .service (from rev 277529, openssh/trunk/sshd at .service)
===================================================================
--- testing-x86_64/sshd at .service (rev 0)
+++ testing-x86_64/sshd at .service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,8 @@
+[Unit]
+Description=OpenSSH Per-Connection Daemon
+After=sshdgenkeys.service
+
+[Service]
+ExecStart=-/usr/bin/sshd -i
+StandardInput=socket
+StandardError=syslog
Copied: openssh/repos/testing-x86_64/sshdgenkeys.service (from rev 277529, openssh/trunk/sshdgenkeys.service)
===================================================================
--- testing-x86_64/sshdgenkeys.service (rev 0)
+++ testing-x86_64/sshdgenkeys.service 2016-10-01 21:49:03 UTC (rev 277530)
@@ -0,0 +1,15 @@
+[Unit]
+Description=SSH Key Generation
+ConditionPathExists=|!/etc/ssh/ssh_host_dsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_dsa_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_ecdsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_ecdsa_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_ed25519_key
+ConditionPathExists=|!/etc/ssh/ssh_host_ed25519_key.pub
+ConditionPathExists=|!/etc/ssh/ssh_host_rsa_key
+ConditionPathExists=|!/etc/ssh/ssh_host_rsa_key.pub
+
+[Service]
+ExecStart=/usr/bin/ssh-keygen -A
+Type=oneshot
+RemainAfterExit=yes
More information about the arch-commits
mailing list